//eprsave.h
//EEPROM saving/loading for IO-Buddy settings
//Bryan E. Topp <betopp@betopp.com> 2018

//This file is part of IO-Buddy. (2018-09-30)

//IO-Buddy is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//IO-Buddy is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with IO-Buddy.  If not, see <https://www.gnu.org/licenses/>.

#pragma once
#include <stdint.h>

//Initializes settings for EEPROM saving/loading on I2C bus
void EPRInit();

//Saves the given 256-byte array to the EEPROM
void EPRSave(const uint8_t *in256bytes);

//Loads the contents of the EEPROM into the given 256-byte array
void EPRLoad(uint8_t *out256bytes);